//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// Copyright 2010: A3 Labs, Inc. (http://a3labs.com)
// Creative Commons Liscence: http://creativecommons.org/licenses/by-nc/3.0/
// Attribution-NonCommercial 3.0 Unported
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

//>> File Storage Info
var INFO = new Object;
INFO.Path = "Profile/AppData/Local/A3 Labs/A3 - FB Dashboard";
INFO.Prefix = "FB-Dashboard";

INFO.Data = '[{"Name": "Corners", 				"Default": "Rounded"},';
INFO.Data += '{"Name": "FB_Access", 			"Default": ""},';
INFO.Data += '{"Name": "FB_UID", 				"Default": ""},';
INFO.Data += '{"Name": "Font_Family", 			"Default": "Trebuchet MS"},';
INFO.Data += '{"Name": "Font_Size_Docked", 		"Default": "10"},';
INFO.Data += '{"Name": "Font_Size_Undocked", 	"Default": "12"},';
INFO.Data += '{"Name": "Flyout_Focus", 			"Default": "Off"},';
INFO.Data += '{"Name": "Interval_Update",		"Default": "10"},';
INFO.Data += '{"Name": "Mode",					"Default": "Full"},';
INFO.Data += '{"Name": "Notifications_ID",		"Default": ""},';
INFO.Data += '{"Name": "Number_Stream_Items",	"Default": "25"},';
INFO.Data += '{"Name": "Profile_Link",			"Default": "Wall"},';
INFO.Data += '{"Name": "Override_User_Name",	"Default": "Off"},';
INFO.Data += '{"Name": "Override_Stream",		"Default": "On"},';
INFO.Data += '{"Name": "Size_Dock", 			"Default": "SM"},';
INFO.Data += '{"Name": "Size_Height", 			"Default": "1"},';
INFO.Data += '{"Name": "Size_UnDock", 			"Default": "LG"},';
INFO.Data += '{"Name": "Show_Friends_List", 	"Default": "On"},';
INFO.Data += '{"Name": "Show_Logo_Link",		"Default": "On"},';
INFO.Data += '{"Name": "Show_Notifications", 	"Default": "On"},';
INFO.Data += '{"Name": "Theme", 				"Default": "1"}]';

//>> URL Declarations
INFO.URL_A3_Website = "http://a3labs.com/";
INFO.URL_A3_Product = "http://a3labs.com/core/x/product/wsg/fb-dashboard";
INFO.URL_A3_Support = "http://a3labs.com/core/x/support/wsg/fb-dashboard";
INFO.URL_A3_Contact = "http://a3labs.com/core/x/ticket/wsg/fb-dashboard";
INFO.URL_A3_Updater = "http://a3labs.com/core/x/update/wsg/fb-dashboard";
INFO.URL_A3_Donate  = "http://www.nextwindows.ru";
INFO.URL_A3_Twitter = "http://a3labs.com/core/x/twitter";
INFO.URL_A3_Nwind = "http://nextwindows.ru";

INFO.URL_FB_Redirect = "http://a3labs.com/core/landing/facebook/auth.php?track_id=wsg|";
INFO.URL_FB_Retrieve = "http://a3labs.com/core/landing/facebook/retrieve.php";
INFO.URL_FB_OpenAuth = "https://graph.facebook.com/oauth/authorize?type=user_agent&display=page&client_id=105588156162386";
INFO.URL_FB_Profile = "http://www.facebook.com/profile.php?id=";
INFO.URL_FB_Website = "http://facebook.com";

INFO.URL_FB_Pokes = "http://www.facebook.com/?sk=nf";
INFO.URL_FB_Messages = "http://www.facebook.com/?sk=messages";
INFO.URL_FB_Friend_Req = "http://www.facebook.com/reqs.php";
INFO.URL_FB_Events = "http://www.facebook.com/?sk=events";
INFO.URL_FB_Groups = "http://www.facebook.com/?sk=2361831622";
INFO.URL_FB_Notif = "http://www.facebook.com/notifications.php";

INFO.URL_FB_Graph = "https://graph.facebook.com/";
INFO.URL_FB_Graph_User = "https://graph.facebook.com/me?fields=id&";
INFO.URL_FB_Graph_Feed = "https://graph.facebook.com/me/feed?";
INFO.URL_FB_Graph_Stream = "https://graph.facebook.com/me/home?";

INFO.URL_FB_API_Like = "https://api.facebook.com/method/Stream.addLike?format=json&post_id=";
INFO.URL_FB_API_UnLike = "https://api.facebook.com/method/Stream.removeLike?format=json&post_id=";
INFO.URL_FB_API_Status = "https://api.facebook.com/method/Users.setStatus?format=json&status=&clear=true&";

INFO.URL_FB_API_Friends = "https://api.facebook.com/method/fql.query?query=";
INFO.URL_FB_API_Friends += encodeURIComponent('SELECT uid, first_name, last_name, pic_square, status FROM user WHERE uid IN ');
INFO.URL_FB_API_Friends += encodeURIComponent('(SELECT uid2 FROM friend WHERE uid1=FB_UID) ORDER BY last_name LIMIT 25');

INFO.URL_FB_API_Friend_Search = "https://api.facebook.com/method/fql.query?query=";
INFO.URL_FB_API_Friend_Search += encodeURIComponent('SELECT uid, first_name, last_name, pic_square, status FROM user WHERE uid IN ');
INFO.URL_FB_API_Friend_Search += encodeURIComponent('(SELECT uid2 FROM friend WHERE uid1=FB_UID) AND strpos(lower(name), lower(\'FB_Name_Search\')) >= 0 ORDER BY last_name LIMIT 25');

INFO.URL_FB_API_Users = "https://api.facebook.com/method/users.getInfo?fields=uid,pic_square&format=json&";
INFO.URL_FB_API_User = "https://api.facebook.com/method/users.getInfo?fields=first_name,last_name,pic_square&uids=FB_UID&format=json&";
INFO.URL_FB_API_Status = "https://api.facebook.com/method/status.get?limit=1&uid=FB_UID&format=json&";
INFO.URL_FB_API_Msgs = "https://api.facebook.com/method/notifications.get?&format=json&";
INFO.URL_FB_API_NList = "https://api.facebook.com/method/notifications.getList?include_read=true&format=json&";

INFO.URL_FB_API_Batch = "https://api.facebook.com/method/batch.run?method_feed=";
INFO.URL_FB_API_Batch += encodeURIComponent('["method=users.getInfo&fields=first_name,last_name,pic_square&uids=FB_UID", ');
INFO.URL_FB_API_Batch += encodeURIComponent('"method=status.get&limit=1&uid=FB_UID", ');
INFO.URL_FB_API_Batch += encodeURIComponent('"method=notifications.get", ');
INFO.URL_FB_API_Batch += encodeURIComponent('"method=notifications.getList&include_read=true"]');
INFO.URL_FB_API_Batch += "&format=json&serial_only=true";

INFO.URL_Site = "http://a3labs.com";

INFO.URL_Ad_Disp = "http://a3labs.com/core/ads/Ads.php?Platform=WSG&Product=FB_Dashboard&Section=";
INFO.URL_Ad_Test = "http://a3labs.com/core/ads/Test.php";

//>> Labels
INFO.Label_Name = "FB Dashboard";